package com.navdy.hud.app.framework.glance;

import android.content.res.Resources;
import com.navdy.hud.app.HudApplication;
import com.navdy.hud.app.R;
import com.navdy.hud.app.framework.DriverProfileHelper;
import com.navdy.hud.app.ui.component.ChoiceLayout.Choice;
import com.navdy.hud.app.ui.component.ChoiceLayout2;
import com.navdy.service.library.events.glances.CannedMessagesUpdate;
import java.util.ArrayList;
import java.util.List;

public class GlanceConstants {
    public static final String AT_SEPARATOR = "@";
    public static final int AUDIO_FEEDBACK_FADE_OUT = 300;
    public static final String CALENDAR_PREFIX = "glance_cal_";
    public static final String COLON_SEPARATOR = ":";
    public static final int DEFAULT_TIMEOUT = 25000;
    public static final int DELETE_ALL_GLANCE_TIMEOUT = 1000;
    public static final Object DELETE_ALL_VIEW_TAG = new Object();
    public static final String EMAIL_PREFIX = "glance_email_";
    public static final String EMPTY = "";
    public static final String FUEL_PREFIX = "glance_fuel_";
    public static final String GENERIC_PREFIX = "glance_gen_";
    public static final String GMAIL_SEPARATOR = "\u2022";
    public static final String INVALID_APPLE_MAIL_GLANCE_BODY = "this message has no content";
    public static final String MESSAGE_PREFIX = "glance_msg_";
    public static final String NEWLINE = "\n";
    public static final String PERIOD = ".";
    public static final int SCROLL_DISCARD_EVENTS_THRESHOLD = 750;
    public static final int SCROLL_PROGRESS_INDICATOR_ITEM_COUNT = 100;
    public static final int SECONDS_IN_MINUTE = 60000;
    public static final String SOCIAL_PREFIX = "glance_soc_";
    public static final String SPACE = " ";
    public static final int TAG_ADD_FUEL = 7;
    public static final int TAG_BACK = 5;
    public static final int TAG_CALL = 3;
    public static final int TAG_DISMISS = 6;
    public static final int TAG_DISMISS_ADD_FUEL = 8;
    public static final int TAG_QUICK = 4;
    public static final int TAG_READ = 2;
    public static final int TAG_REPLY = 1;
    public static final int TIME_UPDATE_INTERVAL = 30000;
    public static final String am;
    public static final String amMarker;
    public static final String back;
    public static List<Choice> backChoice = new ArrayList(1);
    public static List<ChoiceLayout2.Choice> backChoice2 = new ArrayList(1);
    public static final int calendarNormalMargin;
    public static final int calendarNowMargin;
    public static List<ChoiceLayout2.Choice> calendarOptions = new ArrayList(2);
    public static final int calendarTimeMargin;
    public static final int calendarpmMarker;
    public static final String call;
    public static final int choiceItemDefaultPadding;
    public static final int choiceItemLargePadding;
    public static final int choiceItemSmallPadding;
    public static final int choiceTextLarge;
    public static final int choiceTextSmall;
    public static final int colorAppleCalendar;
    public static final int colorAppleMail;
    public static final int colorDeleteAll;
    public static final int colorFacebook;
    public static final int colorFacebookMessenger;
    public static final int colorFasterRoute;
    public static final int colorFuelLevel;
    public static final int colorGeneric;
    public static final int colorGoogleCalendar;
    public static final int colorGoogleHangout;
    public static final int colorGoogleInbox;
    public static final int colorGoogleMail;
    public static final int colorIMessage;
    public static final int colorPhoneCall;
    public static final int colorSlack;
    public static final int colorSms;
    public static final int colorTrafficDelay;
    public static final int colorTwitter;
    public static final int colorWhatsapp;
    public static final int colorWhite;
    public static final String dismiss;
    public static final String done;
    public static final String facebook;
    public static List<ChoiceLayout2.Choice> fuelChoices = new ArrayList(3);
    public static List<ChoiceLayout2.Choice> fuelChoicesNoRoute = new ArrayList(2);
    public static final String fuelNotificationSubtitle;
    public static final String fuelNotificationTitle;
    public static final String glancesCannotDelete;
    public static final String glancesDismissAll;
    public static final String hour;
    public static final String message;
    public static final int messageHeightBound;
    private static int messageTitleHeight;
    public static final int messageTitleMarginBottom;
    public static final int messageTitleMarginTop;
    public static final int messageWidthBound;
    public static final String minute;
    public static List<ChoiceLayout2.Choice> noMessage = new ArrayList(1);
    public static List<ChoiceLayout2.Choice> noNumberandNoReplyBack = new ArrayList(2);
    public static final String notification;
    public static final String nowStr;
    public static List<ChoiceLayout2.Choice> numberAndNoReplyBack = new ArrayList(3);
    public static List<ChoiceLayout2.Choice> numberAndReplyBack_1 = new ArrayList(3);
    public static final String pm;
    public static final String pmMarker;
    public static final String questionMark;
    public static final String quick;
    public static final String read;
    public static final String reply;
    private static final ArrayList<String> replyBackMessages = new ArrayList();
    public static final String replySent;
    public static final int scrollingIndicatorCircleFocusSize;
    public static final int scrollingIndicatorCircleSize;
    public static final int scrollingIndicatorHeight;
    public static final int scrollingIndicatorLeftPadding;
    public static final int scrollingIndicatorPadding;
    public static final int scrollingIndicatorParentHeight;
    public static final int scrollingIndicatorParentWidth;
    public static final int scrollingIndicatorProgressSize;
    public static final int scrollingIndicatorSize;
    public static final int scrollingIndicatorWidth;
    public static final int scrollingRoundSize;
    public static final String senderUnknown;
    public static final String starts;
    public static final String view;

    static {
        Resources resources = HudApplication.getAppContext().getResources();
        reply = resources.getString(R.string.reply);
        read = resources.getString(R.string.read);
        call = resources.getString(R.string.call);
        quick = resources.getString(R.string.quick);
        back = resources.getString(R.string.back);
        dismiss = resources.getString(R.string.dismiss);
        done = resources.getString(R.string.done);
        view = resources.getString(R.string.view);
        senderUnknown = resources.getString(R.string.caller_unknown);
        replySent = resources.getString(R.string.reply_sent);
        notification = resources.getString(R.string.notification);
        facebook = resources.getString(R.string.facebook);
        nowStr = resources.getString(R.string.now);
        glancesCannotDelete = resources.getString(R.string.glances_cannot_delete);
        glancesDismissAll = resources.getString(R.string.glances_dismiss);
        starts = resources.getString(R.string.starts);
        hour = resources.getString(R.string.hr);
        minute = resources.getString(R.string.min);
        message = resources.getString(R.string.message);
        fuelNotificationTitle = resources.getString(R.string.fuel_low);
        fuelNotificationSubtitle = resources.getString(R.string.add_to_trip);
        questionMark = resources.getString(R.string.question_mark);
        am = resources.getString(R.string.am).toUpperCase();
        pm = resources.getString(R.string.pm).toUpperCase();
        amMarker = resources.getString(R.string.am_marker);
        pmMarker = resources.getString(R.string.pm_marker);
        colorGoogleCalendar = resources.getColor(R.color.google_calendar);
        colorGoogleMail = resources.getColor(R.color.google_mail);
        colorGoogleHangout = resources.getColor(R.color.google_hangout);
        colorSlack = resources.getColor(R.color.slack);
        colorWhatsapp = resources.getColor(R.color.whatsapp);
        colorFacebookMessenger = resources.getColor(R.color.facebook_messenger);
        colorFacebook = resources.getColor(R.color.facebook);
        colorTwitter = resources.getColor(R.color.twitter);
        colorIMessage = resources.getColor(R.color.imessage);
        colorAppleMail = resources.getColor(R.color.apple_mail);
        colorAppleCalendar = resources.getColor(R.color.apple_calendar);
        colorSms = resources.getColor(R.color.sms);
        colorGeneric = resources.getColor(R.color.generic);
        colorDeleteAll = resources.getColor(R.color.delete_all);
        colorPhoneCall = resources.getColor(R.color.phone_call);
        colorFasterRoute = resources.getColor(R.color.faster_route);
        colorFuelLevel = resources.getColor(R.color.fuel_level);
        colorTrafficDelay = resources.getColor(R.color.traffic_delay);
        colorWhite = resources.getColor(17170443);
        colorGoogleInbox = resources.getColor(R.color.google_inbox);
        int backColor = resources.getColor(R.color.glance_back);
        int dismissColor = resources.getColor(R.color.glance_dismiss);
        int readColor = resources.getColor(R.color.glance_ok_blue);
        int replyColor = resources.getColor(R.color.glance_ok_blue);
        int callColor = resources.getColor(R.color.call_dial);
        int quickColor = resources.getColor(R.color.glance_msg);
        int addColor = resources.getColor(R.color.glance_ok_blue);
        numberAndReplyBack_1.add(new ChoiceLayout2.Choice(1, R.drawable.icon_glances_reply, replyColor, R.drawable.icon_glances_reply, -16777216, reply, replyColor));
        numberAndReplyBack_1.add(new ChoiceLayout2.Choice(2, R.drawable.icon_glances_read, readColor, R.drawable.icon_glances_read, -16777216, read, readColor));
        numberAndReplyBack_1.add(new ChoiceLayout2.Choice(6, R.drawable.icon_glances_dismiss, dismissColor, R.drawable.icon_glances_dismiss, -16777216, dismiss, dismissColor));
        numberAndNoReplyBack.add(new ChoiceLayout2.Choice(3, R.drawable.icon_call, callColor, R.drawable.icon_call, -16777216, call, callColor));
        numberAndNoReplyBack.add(new ChoiceLayout2.Choice(2, R.drawable.icon_glances_read, readColor, R.drawable.icon_glances_read, -16777216, read, readColor));
        numberAndNoReplyBack.add(new ChoiceLayout2.Choice(6, R.drawable.icon_glances_dismiss, dismissColor, R.drawable.icon_glances_dismiss, -16777216, dismiss, dismissColor));
        noNumberandNoReplyBack.add(new ChoiceLayout2.Choice(2, R.drawable.icon_glances_read, readColor, R.drawable.icon_glances_read, -16777216, read, readColor));
        noNumberandNoReplyBack.add(new ChoiceLayout2.Choice(6, R.drawable.icon_glances_dismiss, dismissColor, R.drawable.icon_glances_dismiss, -16777216, dismiss, dismissColor));
        calendarOptions.add(new ChoiceLayout2.Choice(2, R.drawable.icon_glances_read, readColor, R.drawable.icon_glances_read, -16777216, read, readColor));
        calendarOptions.add(new ChoiceLayout2.Choice(6, R.drawable.icon_glances_dismiss, dismissColor, R.drawable.icon_glances_dismiss, -16777216, dismiss, dismissColor));
        noMessage.add(new ChoiceLayout2.Choice(6, R.drawable.icon_glances_dismiss, dismissColor, R.drawable.icon_glances_dismiss, -16777216, dismiss, dismissColor));
        backChoice.add(new Choice(resources.getString(R.string.back), 5));
        backChoice2.add(new ChoiceLayout2.Choice(5, R.drawable.icon_glances_back, backColor, R.drawable.icon_glances_back, backColor, resources.getString(R.string.back), backColor));
        fuelChoices.add(new ChoiceLayout2.Choice(7, R.drawable.icon_glances_add, addColor, R.drawable.icon_glances_add, -16777216, resources.getString(R.string.add_fuel_stop), addColor));
        fuelChoices.add(new ChoiceLayout2.Choice(2, R.drawable.icon_glances_read, readColor, R.drawable.icon_glances_read, -16777216, read, readColor));
        fuelChoices.add(new ChoiceLayout2.Choice(8, R.drawable.icon_glances_dismiss, dismissColor, R.drawable.icon_glances_dismiss, -16777216, dismiss, dismissColor));
        fuelChoicesNoRoute.add(new ChoiceLayout2.Choice(2, R.drawable.icon_glances_read, readColor, R.drawable.icon_glances_read, -16777216, read, readColor));
        fuelChoicesNoRoute.add(new ChoiceLayout2.Choice(8, R.drawable.icon_glances_dismiss, dismissColor, R.drawable.icon_glances_dismiss, -16777216, dismiss, dismissColor));
        choiceTextLarge = (int) resources.getDimension(R.dimen.message_options_text_large);
        choiceTextSmall = (int) resources.getDimension(R.dimen.message_options_text_small);
        choiceItemLargePadding = (int) resources.getDimension(R.dimen.message_options_item_padding_large);
        choiceItemDefaultPadding = (int) resources.getDimension(R.dimen.message_options_item_padding_default);
        choiceItemSmallPadding = (int) resources.getDimension(R.dimen.message_options_item_padding_small);
        calendarNormalMargin = (int) resources.getDimension(R.dimen.glance_calendar_normal_margin);
        calendarNowMargin = (int) resources.getDimension(R.dimen.glance_calendar_now_margin);
        calendarTimeMargin = (int) resources.getDimension(R.dimen.glance_calendar_time_margin);
        calendarpmMarker = (int) resources.getDimension(R.dimen.glance_calendar_pm_marker);
        messageWidthBound = (int) resources.getDimension(R.dimen.glance_message_width_bound);
        messageHeightBound = (int) resources.getDimension(R.dimen.glance_message_height_bound);
        messageTitleMarginTop = (int) resources.getDimension(R.dimen.glance_message_title_top);
        messageTitleMarginBottom = (int) resources.getDimension(R.dimen.glance_message_title_bottom);
        scrollingIndicatorSize = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_size);
        scrollingRoundSize = (int) resources.getDimension(R.dimen.glance_scrolling_round_size);
        scrollingIndicatorWidth = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_width);
        scrollingIndicatorHeight = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_height);
        scrollingIndicatorParentWidth = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_parent_width);
        scrollingIndicatorParentHeight = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_parent_height);
        scrollingIndicatorProgressSize = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_size);
        scrollingIndicatorCircleSize = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_circle_size);
        scrollingIndicatorCircleFocusSize = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_focus_circle_size);
        scrollingIndicatorPadding = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_padding);
        scrollingIndicatorLeftPadding = (int) resources.getDimension(R.dimen.glance_scrolling_indicator_left_padding);
        replyBackMessages.add(resources.getString(R.string.reply_text_msg_1));
        replyBackMessages.add(resources.getString(R.string.reply_text_msg_2));
        replyBackMessages.add(resources.getString(R.string.reply_text_msg_3));
        replyBackMessages.add(resources.getString(R.string.reply_text_msg_4));
        replyBackMessages.add(resources.getString(R.string.reply_text_msg_5));
        replyBackMessages.add(resources.getString(R.string.reply_text_msg_6));
    }

    public static int getMessageTitleHeight() {
        return messageTitleHeight;
    }

    public static void setMessageTitleHeight(int n) {
        messageTitleHeight = n;
    }

    public static List<String> getCannedMessages() {
        CannedMessagesUpdate cannedMessagesUpdate = DriverProfileHelper.getInstance().getCurrentProfile().getCannedMessages();
        if (cannedMessagesUpdate == null || cannedMessagesUpdate.cannedMessage == null || cannedMessagesUpdate.cannedMessage.size() <= 0) {
            return replyBackMessages;
        }
        return cannedMessagesUpdate.cannedMessage;
    }

    public static boolean areMessageCanned() {
        CannedMessagesUpdate cannedMessagesUpdate = DriverProfileHelper.getInstance().getCurrentProfile().getCannedMessages();
        if (cannedMessagesUpdate == null || cannedMessagesUpdate.cannedMessage == null || cannedMessagesUpdate.cannedMessage.size() <= 0) {
            return true;
        }
        return false;
    }
}
